Bug 83405 - new ports: audio/festalon, audio/xmms-festalon - .nsf and .hes audio file player
Summary: new ports: audio/festalon, audio/xmms-festalon - .nsf and .hes audio file player
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-13 20:50 UTC by Emanuel Haupt
Modified: 2005-07-15 22:28 UTC (History)
0 users

See Also:


Attachments
file.shar (1.75 KB, text/plain)
2005-07-13 20:50 UTC, Emanuel Haupt
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuel Haupt 2005-07-13 20:50:04 UTC
new ports: audio/festalon, audio/xmms-festalon - .nsf and .hes audio file player

- audio/festalon is a command line player for .nsf and .hes audio files
  (master port)

- audio/xmms-festalon is a XMMS plugin for playing .nsf and .hes audio files
  (slave port)

It supports all internal sound channels and the extra sound channels found in
the Konami VRC6, Konami VRC7, Namco 106, Nintendo MMC5, and Sunsoft FME-07
chips.

The extra sound channel present in the Famicom Disk System is also emulated.

Committer:
- Test .nsf files: http://www.2a03.org/2A03/2A03_v3_0.zip
  (6.1 Mb - 1284 songs)

Fix: 

--- xmms-festalon.shar ends here -----fZ6NHPIlTAAZ0c0f0kWi8Gmw5aV3JQ5dxhSfELxv6alMAtlx
Content-Type: text/plain; name="festalon.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="festalon.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	festalon
#	festalon/Makefile
#	festalon/pkg-descr
#	festalon/distinfo
#	festalon/pkg-message
#
echo c - festalon
mkdir -p festalon > /dev/null 2>&1
echo x - festalon/Makefile
sed 's/^X//' >festalon/Makefile << 'END-of-festalon/Makefile'
X# New ports collection makefile for:	festalon
X# Date created:				13 Jul 2005
X# Whom:					Emanuel Haupt <ehaupt@critical.ch>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	festalon
XPORTVERSION=	0.5.5
XCATEGORIES=	audio
XMASTER_SITES=	http://projects.raphnet.net/festalon/
XPKGNAMEPREFIX?=
X
XMAINTAINER=	ehaupt@critical.ch
XCOMMENT?=	A command line player for .nsf and .hes audio files
X
XLIB_DEPENDS=	samplerate.1:${PORTSDIR}/audio/libsamplerate
X
XUSE_LIBTOOL_VER=13
XUSE_BZIP2=	yes
X
XWRKSRC=		${WRKDIR}/${PORTNAME}
X
X.include <bsd.port.pre.mk>
X
X.if ${OSVERSION} < 500000
XBROKEN=		"Does not compile on FreeBSD 4.x"
X.endif
X
X.if ${PKGNAMEPREFIX} == ""
X
XUSE_SDL=	yes
X
XPLIST_FILES=	bin/festalon
XPORTDOCS=	README
X
Xdo-install:
X	${INSTALL_PROGRAM} ${WRKSRC}/src/${PORTNAME} ${PREFIX}/bin/${PORTNAME}
X
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}
X	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
X.endif
X
X.endif
X
Xpost-install:
X	@${CAT} ${.CURDIR}/../festalon/pkg-message
X
X.include <bsd.port.post.mk>
END-of-festalon/Makefile
echo x - festalon/pkg-descr
sed 's/^X//' >festalon/pkg-descr << 'END-of-festalon/pkg-descr'
XFestalon is a command line player for .nsf and .hes audio files.
X
XIt supports all internal sound channels and the extra sound channels found in
Xthe Konami VRC6, Konami VRC7, Namco 106, Nintendo MMC5, and Sunsoft FME-07
Xchips.
X
XThe extra sound channel present in the Famicom Disk System is also emulated.
X
XWWW: http://projects.raphnet.net/#playgsf
X
X- ehaupt
Xehaupt@critical.ch
END-of-festalon/pkg-descr
echo x - festalon/distinfo
sed 's/^X//' >festalon/distinfo << 'END-of-festalon/distinfo'
XMD5 (festalon-0.5.5.tar.bz2) = ac22ab665f124bee5aa96ba9571a091c
XSIZE (festalon-0.5.5.tar.bz2) = 375613
END-of-festalon/distinfo
echo x - festalon/pkg-message
sed 's/^X//' >festalon/pkg-message << 'END-of-festalon/pkg-message'
X===============================================================================
XA huge .nsf file collection can be found at:
Xhttp://www.2a03.org/browse.php/2A03
X===============================================================================
END-of-festalon/pkg-message
exit
Comment 1 Emanuel Haupt 2005-07-13 22:05:21 UTC
the following two patches fix the wrong url in the WWW field


--- audio_festalon_pkg-descr.patch begins here ---
--- pkg-descr.orig	Wed Jul 13 22:57:34 2005
+++ pkg-descr	Wed Jul 13 22:57:55 2005
@@ -6,7 +6,7 @@
 
 The extra sound channel present in the Famicom Disk System is also emulated.
 
-WWW: http://projects.raphnet.net/#playgsf
+WWW: http://projects.raphnet.net/#festalon
 
 - ehaupt
 ehaupt@critical.ch
--- audio_festalon_pkg-descr.patch ends here ---


--- audio_xmms-festalon_pkg-descr.patch begins here ---
--- pkg-descr.orig	Wed Jul 13 22:58:52 2005
+++ pkg-descr	Wed Jul 13 22:59:05 2005
@@ -6,7 +6,7 @@
 
 The extra sound channel present in the Famicom Disk System is also emulated.
 
-WWW: http://projects.raphnet.net/#playgsf
+WWW: http://projects.raphnet.net/#festalon
 
 - ehaupt
 ehaupt@critical.ch
--- audio_xmms-festalon_pkg-descr.patch ends here ---
Comment 2 haupt 2005-07-15 00:45:26 UTC
I got a second slave port: audio/bmp-festalon which is a
beep-media-player input plugin. This requires the master port to be
slightly changed.

In case you prefer a tarball including all the 3 ports:
http://critical.ch/festalon-package.tar.gz
MD5 (festalon-package.tar.gz) = ecfe41a54a3cdbf960b4cedb20ce8c47

Here the 3 shell archives again:

--- festalon.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	festalon
#	festalon/Makefile
#	festalon/pkg-descr
#	festalon/distinfo
#	festalon/pkg-message
#
echo c - festalon
mkdir -p festalon > /dev/null 2>&1
echo x - festalon/Makefile
sed 's/^X//' >festalon/Makefile << 'END-of-festalon/Makefile'
X# New ports collection makefile for:	festalon
X# Date created:				13 Jul 2005
X# Whom:					Emanuel Haupt <ehaupt@critical.ch>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	festalon
XPORTVERSION=	0.5.5
XCATEGORIES=	audio
XMASTER_SITES=	http://projects.raphnet.net/festalon/
XPKGNAMEPREFIX?=
X
XMAINTAINER=	ehaupt@critical.ch
XCOMMENT?=	A command line player for .nsf and .hes audio files
X
XLIB_DEPENDS+=	samplerate.1:${PORTSDIR}/audio/libsamplerate
X
XUSE_LIBTOOL_VER=13
XUSE_BZIP2=	yes
X
XWRKSRC=		${WRKDIR}/${PORTNAME}
X
X.include <bsd.port.pre.mk>
X
X.if ${OSVERSION} < 500000
XBROKEN=		"Does not compile on FreeBSD 4.x"
X.endif
X
X.if ${PKGNAMEPREFIX} == ""
X
XUSE_SDL=	yes
X
XPLIST_FILES=	bin/festalon
XPORTDOCS=	README
X
Xdo-install:
X	${INSTALL_PROGRAM} ${WRKSRC}/src/${PORTNAME} ${PREFIX}/bin/${PORTNAME}
X
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}
X	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
X.endif
X
X.endif
X
Xpost-install:
X	@${CAT} ${PKGMESSAGE}
X
X.include <bsd.port.post.mk>
END-of-festalon/Makefile
echo x - festalon/pkg-descr
sed 's/^X//' >festalon/pkg-descr << 'END-of-festalon/pkg-descr'
XFestalon is a command line player for .nsf and .hes audio files.
X
XIt supports all internal sound channels and the extra sound channels found in
Xthe Konami VRC6, Konami VRC7, Namco 106, Nintendo MMC5, and Sunsoft FME-07
Xchips.
X
XThe extra sound channel present in the Famicom Disk System is also emulated.
X
XWWW: http://projects.raphnet.net/#festalon
X
X- ehaupt
Xehaupt@critical.ch
END-of-festalon/pkg-descr
echo x - festalon/distinfo
sed 's/^X//' >festalon/distinfo << 'END-of-festalon/distinfo'
XMD5 (festalon-0.5.5.tar.bz2) = ac22ab665f124bee5aa96ba9571a091c
XSIZE (festalon-0.5.5.tar.bz2) = 375613
END-of-festalon/distinfo
echo x - festalon/pkg-message
sed 's/^X//' >festalon/pkg-message << 'END-of-festalon/pkg-message'
X===============================================================================
XA huge .nsf file collection can be found at:
Xhttp://www.2a03.org/browse.php/2A03
X===============================================================================
END-of-festalon/pkg-message
exit

--- festalon.shar ends here ---

--- xmms-festalon.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	xmms-festalon
#	xmms-festalon/Makefile
#	xmms-festalon/pkg-descr
#
echo c - xmms-festalon
mkdir -p xmms-festalon > /dev/null 2>&1
echo x - xmms-festalon/Makefile
sed 's/^X//' >xmms-festalon/Makefile << 'END-of-xmms-festalon/Makefile'
X# New ports collection makefile for:	xmms-festalon
X# Date created:				13 Jul 2005
X# Whom:					Emanuel Haupt <ehaupt@critical.ch>
X#
X# $FreeBSD$
X#
X
XPKGNAMEPREFIX=	xmms-
X
XCOMMENT=	A XMMS plugin for playing .nsf and .hes audio files
X
XMASTERDIR=	${.CURDIR}/../festalon
X
XBUILD_DEPENDS=	xmms:${PORTSDIR}/multimedia/xmms
XRUN_DEPENDS=	xmms:${PORTSDIR}/multimedia/xmms
X
XUSE_X_PREFIX=	yes
XUSE_GNOME=	glib12
X
XCONFIGURE_ARGS+=	--enable-interface=interface
X
XDESCR=		${.CURDIR}/pkg-descr
XPLIST=		${.CURDIR}/pkg-plist
X
XPLIST_FILES=	lib/xmms/Input/libfestalon_xmms.a \
X		lib/xmms/Input/libfestalon_xmms.so \
X		lib/xmms/Input/libfestalon_xmms.so.0 \
X		lib/xmms/Input/libfestalon_xmms.la
X
X.include "${MASTERDIR}/Makefile"
END-of-xmms-festalon/Makefile
echo x - xmms-festalon/pkg-descr
sed 's/^X//' >xmms-festalon/pkg-descr << 'END-of-xmms-festalon/pkg-descr'
XThis is a XMMS input plugin for playing .nsf and .hes audio files.
X
XIt supports all internal sound channels and the extra sound channels found in
Xthe Konami VRC6, Konami VRC7, Namco 106, Nintendo MMC5, and Sunsoft FME-07
Xchips.
X
XThe extra sound channel present in the Famicom Disk System is also emulated.
X
XWWW: http://projects.raphnet.net/#festalon
X
X- ehaupt
Xehaupt@critical.ch
END-of-xmms-festalon/pkg-descr
exit

--- xmms-festalon.shar ends here ---

--- bmp-festalon.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	bmp-festalon
#	bmp-festalon/Makefile
#	bmp-festalon/pkg-descr
#
echo c - bmp-festalon
mkdir -p bmp-festalon > /dev/null 2>&1
echo x - bmp-festalon/Makefile
sed 's/^X//' >bmp-festalon/Makefile << 'END-of-bmp-festalon/Makefile'
X# New ports collection makefile for:	bmp-festalon
X# Date created:				15 Jul 2005
X# Whom:					Emanuel Haupt <ehaupt@critical.ch>
X#
X# $FreeBSD$
X#
X
XPKGNAMEPREFIX=	bmp-
X
XCOMMENT=	A beep-media-player plugin for playing .nsf and .hes audio files
X
XMASTERDIR=	${.CURDIR}/../festalon
X
XLIB_DEPENDS=	beep.2:${PORTSDIR}/multimedia/beep-media-player
X
XUSE_X_PREFIX=	yes
X#USE_GNOME=	glib12
X
XCONFIGURE_ARGS+=	--enable-interface=bmp
X
XDESCR=		${.CURDIR}/pkg-descr
XPLIST=		${.CURDIR}/pkg-plist
X
XPLIST_FILES=	lib/bmp/Input/libfestalon_bmp.a \
X		lib/bmp/Input/libfestalon_bmp.la \
X		lib/bmp/Input/libfestalon_bmp.so \
X		lib/bmp/Input/libfestalon_bmp.so.0
X
X.include "${MASTERDIR}/Makefile"
END-of-bmp-festalon/Makefile
echo x - bmp-festalon/pkg-descr
sed 's/^X//' >bmp-festalon/pkg-descr << 'END-of-bmp-festalon/pkg-descr'
XThis is a beep-media-player input plugin for playing .nsf and .hes audio files.
X
XIt supports all internal sound channels and the extra sound channels found in
Xthe Konami VRC6, Konami VRC7, Namco 106, Nintendo MMC5, and Sunsoft FME-07
Xchips.
X
XThe extra sound channel present in the Famicom Disk System is also emulated.
X
XWWW: http://projects.raphnet.net/#festalon
X
X- ehaupt
Xehaupt@critical.ch
END-of-bmp-festalon/pkg-descr
exit

--- bmb-festalon.shar ends here ---
Comment 3 Pav Lucistnik freebsd_committer 2005-07-15 22:28:06 UTC
State Changed
From-To: open->closed

New ports added, thank you!